メインコンテンツへスキップ
GET
/
webhooks
/
v3
/
{appId}
/
subscriptions
/
{subscriptionId}
イベント配信登録を読み取る
curl --request GET \
  --url https://api.hubapi.com/webhooks/v3/{appId}/subscriptions/{subscriptionId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/webhooks/v3/{appId}/subscriptions/{subscriptionId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/webhooks/v3/{appId}/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "active": true,
  "createdAt": "2019-10-30T03:30:17.883Z",
  "eventType": "contact.propertyChange",
  "id": "12",
  "propertyName": "email",
  "updatedAt": "2019-11-30T03:30:17.883Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

ターゲットアプリのID。

subscriptionId
integer<int32>
必須

ターゲット配信登録のID。

レスポンス

successful operation

Complete details for an event subscription.

active
boolean
必須

配信登録が有効であるか一時停止中であるか。trueの場合、配信登録でWebhook通知が送信されます。falseの場合、配信登録は一時停止中であり、通知は送信されません。

createdAt
string<date-time>
必須

Webhook配信登録が作成された時刻のタイムスタンプ(ISO 8601形式)(例:2020-02-29T12:30:00Z)。

eventType
enum<string>
必須

待機するイベントのタイプ。許容される値には、contact.creation、contact.deletion、contact.propertyChangeのほか、その他のCRMオブジェクトやカスタムオブジェクトの同様のイベントタイプが含まれます。

利用可能なオプション:
company.associationChange,
company.creation,
company.deletion,
company.merge,
company.propertyChange,
company.restore,
contact.associationChange,
contact.creation,
contact.deletion,
contact.merge,
contact.privacyDeletion,
contact.propertyChange,
contact.restore,
conversation.creation,
conversation.deletion,
conversation.newMessage,
conversation.privacyDeletion,
conversation.propertyChange,
deal.associationChange,
deal.creation,
deal.deletion,
deal.merge,
deal.propertyChange,
deal.restore,
event.completed,
line_item.associationChange,
line_item.creation,
line_item.deletion,
line_item.merge,
line_item.propertyChange,
line_item.restore,
object.associationChange,
object.creation,
object.deletion,
object.merge,
object.propertyChange,
object.restore,
product.creation,
product.deletion,
product.merge,
product.propertyChange,
product.restore,
ticket.associationChange,
ticket.creation,
ticket.deletion,
ticket.merge,
ticket.propertyChange,
ticket.restore
id
string
必須

Webhook配信登録の固有ID。

eventTypeName
string

待機するイベントの名前。標準のeventType列挙値以外のカスタムイベントタイプを指定するためにカスタムオブジェクトで使用されます。

objectTypeId
string

サブスクリプションのオブジェクトタイプのID。標準のCRMオブジェクト(例:「コンタクト」、「会社」、「取引」)のほか、カスタムオブジェクトサブスクリプションの場合はカスタムオブジェクトIDを指定できます。

propertyName
string

変更をモニタリングするプロパティーの内部名。eventTypeがpropertyChangeの場合のみ適用されます。

updatedAt
string<date-time>

Webhook配信登録が最後に更新された時刻のタイムスタンプ(ISO 8601形式)(例:2020-02-29T12:30:00Z)。

最終更新日 2026年4月10日